Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogItem

All Superinterfaces:
  ConfigurableEntity, Serializable

All Known Subinterfaces:
  Category, MutableCatalogItem, MutableCategory, MutableProductItem, ProductItem

All Known Implementing Classes:
  CatalogItemImpl, CategoryImpl, MutableCatalogItemImpl, MutableCategoryImpl, MutableProductItemImpl, ProductItemImpl

public interface CatalogItem
extends Serializable, ConfigurableEntity

This is the base interface for all items contained by the Catalog. This interface exposes data accessors for item data conforming to the Dublin Core Metadata Version 1.1: Dublin Core Element Set

Field Summary
`static int` | `LARGE_IMAGE_INDEX` The index of the large image for the item.
`static int` | `LONG_DESCRIPTION_INDEX` The index of the long description associated with the item.
`static int` | `MAX_DESCRIPTION` The number of descriptions for the item.
`static int` | `MAX_IMAGES` The number of images for the item.
`static int` | `SHORT_DESCRIPTION_INDEX` The index of the short description associated with the item.
`static int` | `SMALL_IMAGE_INDEX` The index of the small image for the item.

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`String` | `getContributor()` Get the contributor for this catalog entry.
`String` | `getCoverage()` Get the coverage of this catalog item.
`Date` | `getCreationDate()` Get the creation date for this catalog item.
`String` | `getCreator()` Get the creator for this catalog entry.
`String` | `getDescription(int index)` Get a description for this catalog entry.
`ImageInfo` | `getImage(int index)` Get image information for this catalog item.
`CatalogItemKey` | `getKey()` Returns the CatalogItemKey object for this item.
`String` | `getLanguage()` Get the language for this catalog item.
`Date` | `getModifiedDate()` Get the modification date for this catalog item.
`String` | `getName()` Get the name associated with this catalog entry.
`String` | `getPublisher()` Get the publisher for this catalog entry.
`String` | `getRelation()`
`String` | `getRights()` Get the rights for this catalog item.
`String` | `getSource()` Get the source for this catalog item.

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### SHORT_DESCRIPTION_INDEX

    public static final int SHORT_DESCRIPTION_INDEX

  The index of the short description associated with the item.

  See Also:
    `getDescription(int)`, Constant Field Values

### LONG_DESCRIPTION_INDEX

    public static final int LONG_DESCRIPTION_INDEX

  The index of the long description associated with the item.

  See Also:
    `getDescription(int)`, Constant Field Values

### MAX_DESCRIPTION

    public static final int MAX_DESCRIPTION

  The number of descriptions for the item.

  See Also:
    `getDescription(int)`, Constant Field Values

### SMALL_IMAGE_INDEX

    public static final int SMALL_IMAGE_INDEX

  The index of the small image for the item.

  See Also:
    `getImage(int)`, Constant Field Values

### LARGE_IMAGE_INDEX

    public static final int LARGE_IMAGE_INDEX

  The index of the large image for the item.

  See Also:
    `getImage(int)`, Constant Field Values

### MAX_IMAGES

    public static final int MAX_IMAGES

  The number of images for the item.

  See Also:
    `getImage(int)`, Constant Field Values

Method Detail

### getKey

    public CatalogItemKey getKey()

  Returns the CatalogItemKey object for this item. The CatalogItemKey is used to index and retrieve items.

  See Also:
    `CatalogItemKey`

### getName

    public String getName()

  Get the name associated with this catalog entry.

  Returns:
    the name attribute

### getDescription

    public String getDescription(int index)

  Get a description for this catalog entry.

  Parameters:
    `index` - either SHORT_DESCRIPTION_INDEX or LONG_DESCRIPTION_INDEX
  Returns:
    the description attribute

### getCreator

    public String getCreator()

  Get the creator for this catalog entry.

  Name: Creator

  Identifier: Creator

  Definition: An entity primarily responsible for making the content of the resource.

  Comment: Examples of a Creator include a person, an organisation, or a service.

  Typically, the name of a Creator should be used to indicate the entity.

  Returns:
    the creator attribute

### getPublisher

    public String getPublisher()

  Get the publisher for this catalog entry.

  Name: Publisher

  Identifier: Publisher

  Definition: An entity responsible for making the resource available

  Comment: Examples of a Publisher include a person, an organisation, or a service.

  Typically, the name of a Publisher should be used to indicate the entity.

  Returns:
    the publisher attribute

### getContributor

    public String getContributor()

  Get the contributor for this catalog entry.

  Name: Contributor

  Identifier: Contributor

  Definition: An entity responsible for making contributions to the content of the resource.

  Comment: Examples of a Contributor include a person, an organisation, or a service.

  Typically, the name of a Contributor should be used to indicate the entity.

  Returns:
    the contributor attribute

### getCreationDate

    public Date getCreationDate()

  Get the creation date for this catalog item.

  Name: Date

  Identifier: Date

  Definition: A date associated with an event in the life cycle of the resource.

  Comment: Typically, Date will be associated with the creation or availability of the resource. Recommended best practice for encoding the date value is defined in a profile of ISO 8601 [W3CDTF] and follows the YYYY-MM-DD format.

  Returns:
    the creation date attribute

### getSource

    public String getSource()

  Get the source for this catalog item.

  Name: Source

  Identifier: Source

  Definition: A Reference to a resource from which the present resource is derived.

  Comment: The present resource may be derived from the Source resource in whole or in part. Recommended best practice is to reference the resource by means of a string or number conforming to a formal identification system.

  Returns:
    the source attribute

### getLanguage

    public String getLanguage()

  Get the language for this catalog item.

  Name: Language

  Identifier: Language

  Definition: A language of the intellectual content of the resource.

  Comment: Recommended best practice for the values of the Language element is defined by RFC 1766 [RFC1766] which includes a two-letter Language Code (taken from the ISO 639 standard [ISO639]), followed optionally, by a two-letter Country Code (taken from the ISO 3166 standard [ISO3166]). For example, 'en' for English, 'fr' for French, or 'en-uk' for English used in the United Kingdom.

  Returns:
    the language attribute

### getRelation

    public String getRelation()

### getCoverage

    public String getCoverage()

  Get the coverage of this catalog item.

  Name: Coverage

  Identifier: Coverage

  Definition: The extent or scope of the content of the resource.

  Comment: Coverage will typically include spatial location (a place name or geographic coordinates), temporal period (a period label, date, or date range) or jurisdiction (such as a named administrative entity).

  Recommended best practice is to select a value from a controlled vocabulary (for example, the Thesaurus of Geographic Names [TGN]) and that, where appropriate, named places or time periods be used in preference to numeric identifiers such as sets of coordinates or date ranges.

  Returns:
    the coverage attribute

### getRights

    public String getRights()

  Get the rights for this catalog item.

  Name: Rights Management

  Identifier: Rights

  Definition: Information about rights held in and over the resource.

  Comment: Typically, a Rights element will contain a rights management statement for the resource, or reference a service providing such information. Rights information often encompasses Intellectual Property Rights (IPR), Copyright, and various Property Rights.

  If the Rights element is absent, no assumptions can be made about the status of these and other rights with respect to the resource.

  Returns:
    the rights attribute

### getImage

    public ImageInfo getImage(int index)

  Get image information for this catalog item.

  Parameters:
    `index` - the image to retrieve one of SMALL_IMAGE_INDEX or LARGE_IMAGE_INDEX.
  Returns:
    the image information

### getModifiedDate

    public Date getModifiedDate()

  Get the modification date for this catalog item.

  Name: Date

  Identifier: Date

  Definition: A date associated with an event in the life cycle of the resource.

  Comment: Typically, Date will be associated with the creation or availability of the resource. Recommended best practice for encoding the date value is defined in a profile of ISO 8601 [W3CDTF] and follows the YYYY-MM-DD format.

  Returns:
    the modification date attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved